Index: /branches/2015/dev_r5021_UKMO1_CICE_coupling/NEMOGCM/TOOLS/SIREN/src/file.f90
===================================================================
--- /branches/2015/dev_r5021_UKMO1_CICE_coupling/NEMOGCM/TOOLS/SIREN/src/file.f90	(revision 5212)
+++ /branches/2015/dev_r5021_UKMO1_CICE_coupling/NEMOGCM/TOOLS/SIREN/src/file.f90	(revision 5213)
@@ -915,189 +1181,5 @@
             
             CALL logger_trace( &
-            &  " DEL VAR: delete variable "//TRIM(td_var%c_name)//&
-            &  ", from file "//TRIM(td_file%c_name) )
-
-            ALLOCATE( tl_var(td_file%i_nvar-1), stat=il_status )
-            IF(il_status /= 0 )THEN
-
-               CALL logger_error( &
-               &  " DEL VAR: not enough space to put variables from "//&
-               &  TRIM(td_file%c_name)//" in temporary variable structure")
-
-            ELSE
-
-               ! save temporary variable's file structure
-               tl_var(1:il_varid-1)=td_file%t_var(1:il_varid-1)
-               tl_var(il_varid:)=td_file%t_var(il_varid+1:)
-
-               ! new number of variable in file
-               td_file%i_nvar=td_file%i_nvar-1
-
-               SELECT CASE(td_var%i_ndim)
-                  CASE(0)
-                     td_file%i_n0d=td_file%i_n0d-1
-                     il_rec=0
-                  CASE(1)
-                     td_file%i_n1d=td_file%i_n1d-1
-                     il_rec=1
-                  CASE(2)
-                     td_file%i_n2d=td_file%i_n2d-1
-                     il_rec=1
-                  CASE(3,4)
-                     td_file%i_n3d=td_file%i_n3d-1
-                     il_rec=td_file%t_dim(3)%i_len
-               END SELECT
-
-               DEALLOCATE( td_file%t_var )
-
-               IF( td_file%i_nvar > 0 )THEN
-                  ALLOCATE( td_file%t_var(td_file%i_nvar), stat=il_status )
-                  IF(il_status /= 0 )THEN
-
-                     CALL logger_error( &
-                     &  " DEL VAR: not enough space to put variables "//&
-                     &  "in file structure "//TRIM(td_file%c_name) )
-
-                  ENDIF
-
-                  ! copy attribute in file before
-                  td_file%t_var(:)=tl_var(:)
-
-                  ! update record header index
-                  td_file%i_rhd = td_file%i_rhd - il_rec
-
-!                  ! update id
-!                  td_file%t_var( il_varid : td_file%i_nvar )%i_id = &
-!                  &     td_file%t_var( il_varid : td_file%i_nvar )%i_id - 1
-
-                  ! update record index
-                  td_file%t_var( il_varid : td_file%i_nvar )%i_rec = &
-                  &     td_file%t_var( il_varid : td_file%i_nvar )%i_rec - il_rec
-
-                  ! update dimension used
-                  td_file%t_dim(:)%l_use=.FALSE.
-                  DO ji=1,ip_maxdim
-                     IF( ANY(td_file%t_var(:)%t_dim(ji)%l_use) )THEN
-                        td_file%t_dim(ji)%l_use=.TRUE.
-                     ENDIF
-                  ENDDO
-                  CALL dim_reorder(td_file%t_dim(:))
-                  ! update number of dimension
-                  td_file%i_ndim=COUNT(td_file%t_dim(:)%l_use)
-
-               ENDIF
-               DEALLOCATE(tl_var)
-               
-            ENDIF 
-         ENDIF
-      ENDIF
-
-   END SUBROUTINE file__del_var_str
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This subroutine overwrite variable structure 
-   !> in file structure.
-   !
-   !> @details
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_file : file structure
-   !> @param[in] td_var : variable structure
-   !> @todo
-   !> - check independance td_var (cf move dim variable)
-   !-------------------------------------------------------------------
-   !> @code
-   SUBROUTINE file_move_var(td_file, td_var)
-      IMPLICIT NONE
-
-      ! Argument      
-      TYPE(TFILE), INTENT(INOUT) :: td_file
-      TYPE(TVAR),  INTENT(IN)    :: td_var
-
-      ! local variable
-      TYPE(TVAR) :: tl_var
-      INTEGER(i4):: il_varid
-      !----------------------------------------------------------------
-
-      ! copy variable
-      tl_var=td_var
-
-      IF( ASSOCIATED(td_file%t_var) )THEN
-         il_varid=var_get_id(td_file%t_var(:),TRIM(tl_var%c_name))
-         IF( il_varid /= 0 )THEN
-            ! remove variable with same name or standard name
-            CALL file_del_var(td_file, tl_var)
-         ENDIF
-      ENDIF
-
-      ! add new variable
-      CALL file_add_var(td_file, tl_var)
-
-   END SUBROUTINE file_move_var
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This subroutine add a global attribute 
-   !> in a file structure.<br/>
-   !> Do not overwrite, if attribute already in file structure.
-   !
-   !> @details
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_file : file structure
-   !> @param[in] td_att : attribute structure
-   !-------------------------------------------------------------------
-   !> @code
-   SUBROUTINE file_add_att(td_file, td_att)
-      IMPLICIT NONE
-
-      ! Argument      
-      TYPE(TFILE), INTENT(INOUT) :: td_file
-      TYPE(TATT),  INTENT(IN)    :: td_att
-
-      ! local variable
-      INTEGER(i4) :: il_status
-      INTEGER(i4) :: il_attid
-      TYPE(TATT), DIMENSION(:), ALLOCATABLE :: tl_att
-
-      ! loop indices
-      INTEGER(i4) :: ji
-      !----------------------------------------------------------------
-
-      ! check if file opened
-      !IF( TRIM(td_file%c_name) == "unknown" )THEN
-      IF( TRIM(td_file%c_name) == '' )THEN
-
-         CALL logger_error( " ADD ATT: file structure unknown ")
-         CALL logger_debug( " ADD ATT: you should have used file_init before "//&
-         & "running file_add_att" )      
-
-      ELSE
-
-         ! check if attribute already in file structure
-         il_attid=0
-         IF( ASSOCIATED(td_file%t_att) )THEN
-            il_attid=att_get_id( td_file%t_att(:), td_att%c_name )
-         ENDIF
-
-         IF( il_attid /= 0 )THEN
-         
-            CALL logger_error( &
-            &  " ADD ATT: attribute "//TRIM(td_att%c_name)//&
-            &  ", already in file "//TRIM(td_file%c_name) )
-            CALL logger_flush()
-
-            DO ji=1,td_file%i_natt
-               CALL logger_debug( &
-               &  " ADD ATT: in file "//TRIM(td_file%t_att(ji)%c_name) )
-            ENDDO
-
-         ELSE
-            
-            CALL logger_debug( &
-            &  " ADD ATT: add attribute "//TRIM(td_att%c_name)//&
+            &  " FILE ADD ATT: add attribute "//TRIM(td_att%c_name)//&
             &  ", in file "//TRIM(td_file%c_name) )
 
@@ -1108,5 +1190,5 @@
 
                   CALL logger_error( &
-                  &  " ADD ATT: not enough space to put attributes from "//&
+                  &  " FILE ADD ATT: not enough space to put attributes from "//&
                   &  TRIM(td_file%c_name)//" in temporary attribute structure")
 
@@ -1114,12 +1196,13 @@
 
                   ! save temporary global attribute's file structure
-                  tl_att(:)=td_file%t_att(:)
-
-                  DEALLOCATE( td_file%t_att )
+                  tl_att(:)=att_copy(td_file%t_att(:))
+
+                  CALL att_clean( td_file%t_att(:) )
+                  DEALLOCATE(td_file%t_att)
                   ALLOCATE( td_file%t_att(td_file%i_natt+1), stat=il_status )
                   IF(il_status /= 0 )THEN
 
                      CALL logger_error( &
-                     &  " ADD ATT: not enough space to put attributes "//&
+                     &  " FILE ADD ATT: not enough space to put attributes "//&
                      &  "in file structure "//TRIM(td_file%c_name) )
 
@@ -1127,28 +1210,29 @@
 
                   ! copy attribute in file before
-                  td_file%t_att(1:td_file%i_natt)=tl_att(:)
-
+                  td_file%t_att(1:td_file%i_natt)=att_copy(tl_att(:))
+
+                   ! clean
+                  CALL att_clean(tl_att(:))
                   DEALLOCATE(tl_att)
+
                ENDIF
             ELSE
             ! no attribute in file structure
                IF( ASSOCIATED(td_file%t_att) )THEN
+                  CALL att_clean(td_file%t_att(:))
                   DEALLOCATE(td_file%t_att)
                ENDIF
-               CALL logger_debug(" natt "//TRIM(fct_str(td_file%i_natt)) )
+
                ALLOCATE( td_file%t_att(td_file%i_natt+1), stat=il_status )
                IF(il_status /= 0 )THEN
 
                   CALL logger_error( &
-                  &  " ADD ATT: not enough space to put attributes "//&
+                  &  " FILE ADD ATT: not enough space to put attributes "//&
                   &  "in file structure "//TRIM(td_file%c_name) )
 
                ENDIF
             ENDIF
-            ! add new attributes
-            td_file%t_att(td_file%i_natt+1)=td_att
-
-            ! update attributes id
-            td_file%t_att(td_file%i_natt+1)%i_id=td_file%i_natt+1
+            ! add new attribute
+            td_file%t_att(td_file%i_natt+1)=att_copy(td_att)
 
             ! update number of attribute
@@ -1158,18 +1242,14 @@
 
    END SUBROUTINE file_add_att
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This subroutine delete a variable structure 
-   !> in file structure.
-   !
-   !> @details
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_file : file structure
-   !> @param[in] cd_name : variable name or standard name
-   !-------------------------------------------------------------------
-   !> @code
+   !-------------------------------------------------------------------
+   !> @brief This subroutine delete a global attribute structure 
+   !> in file structure, given attribute name.
+   !
+   !> @author J.Paul
+   !> - November, 2013- Initial Version
+   !
+   !> @param[inout] td_file   file structure
+   !> @param[in] cd_name      attribute name
+   !-------------------------------------------------------------------
    SUBROUTINE file__del_att_name(td_file, cd_name )
       IMPLICIT NONE
@@ -1180,5 +1260,5 @@
 
       ! local variable
-      INTEGER(i4)       :: il_attid
+      INTEGER(i4)       :: il_ind
       !----------------------------------------------------------------
 
@@ -1186,7 +1266,7 @@
       IF( TRIM(td_file%c_name) == '' )THEN
 
-         CALL logger_error( " DEL ATT NAME: file structure unknown ")
-         CALL logger_debug( " DEL ATT NAME: you should have used file_init before "//&
-         & "running file_del_var" )
+         CALL logger_error( " FILE DEL ATT NAME: file structure unknown ")
+         CALL logger_debug( " FILE DEL ATT NAME: you should have "//&
+         &  "used file_init before running file_del_att" )
 
       ELSE
@@ -1195,16 +1275,17 @@
 
             ! get the variable id, in file variable structure
-            il_attid=0
+            il_ind=0
             IF( ASSOCIATED(td_file%t_att) )THEN
-               il_attid=att_get_id(td_file%t_att(:), cd_name )
+               il_ind=att_get_index(td_file%t_att(:), cd_name )
             ENDIF
-            IF( il_attid /= 0 )THEN
+
+            IF( il_ind /= 0 )THEN
    
-               CALL file_del_att(td_file, td_file%t_att(il_attid))
+               CALL file_del_att(td_file, td_file%t_att(il_ind))
 
             ELSE
 
                CALL logger_warn( &
-               &  " DEL ATT NAME: there is no attribute with name "//&
+               &  " FILE DEL ATT NAME: there is no attribute with name "//&
                &  TRIM(cd_name)//" in file "//TRIM(td_file%c_name))
 
@@ -1212,6 +1293,6 @@
 
          ELSE
-            CALL logger_debug( " DEL ATT NAME: no attribute associated to file "//&
-            &               TRIM(td_file%c_name) )
+            CALL logger_debug( " FILE DEL ATT NAME: no attribute "//&
+            &  "associated to file "//TRIM(td_file%c_name) )
          ENDIF
 
@@ -1219,18 +1300,14 @@
 
    END SUBROUTINE file__del_att_name
-   !> @endcode
    !-------------------------------------------------------------------
    !> @brief This subroutine delete a global attribute structure 
-   !> from file structure.
-   !
-   !> @details
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_file : file structure
-   !> @param[in] td_att : attribute structure
-   !-------------------------------------------------------------------
-   !> @code
+   !> from file structure, given attribute structure.
+   !
+   !> @author J.Paul
+   !> - November, 2013- Initial Version
+   !
+   !> @param[inout] td_file   file structure
+   !> @param[in] td_att       attribute structure
+   !-------------------------------------------------------------------
    SUBROUTINE file__del_att_str(td_file, td_att)
       IMPLICIT NONE
@@ -1242,37 +1319,35 @@
       ! local variable
       INTEGER(i4) :: il_status
-      INTEGER(i4) :: il_attid
+      INTEGER(i4) :: il_ind
       TYPE(TATT), DIMENSION(:), ALLOCATABLE :: tl_att
 
       ! loop indices
-      INTEGER(i4) :: ji
       !----------------------------------------------------------------
 
       ! check if file opened
-      !IF( TRIM(td_file%c_name) == "unknown" )THEN
       IF( TRIM(td_file%c_name) == '' )THEN
 
-         CALL logger_error( " DEL ATT: file structure unknown ")
-         CALL logger_debug( " DEL ATT: you should have used file_init before "//&
-         & "running file_del_att" )      
+         CALL logger_error( " FILE DEL ATT: file structure unknown ")
+         CALL logger_debug( " FILE DEL ATT: you should have used "//&
+         &  "file_init before running file_del_att" )      
 
       ELSE
 
          ! check if attribute already in file structure
-         il_attid=0
+         il_ind=0
          IF( ASSOCIATED(td_file%t_att) )THEN
-            il_attid=att_get_id( td_file%t_att(:), td_att%c_name )
-         ENDIF
-
-         IF( il_attid == 0 )THEN
+            il_ind=att_get_index( td_file%t_att(:), td_att%c_name )
+         ENDIF
+
+         IF( il_ind == 0 )THEN
 
             CALL logger_error( &
-            &  " DEL ATT: no attribute "//TRIM(td_att%c_name)//&
+            &  " FILE DEL ATT: no attribute "//TRIM(td_att%c_name)//&
             &  ", in file "//TRIM(td_file%c_name) )
 
          ELSE
             
-            CALL logger_debug( &
-            &  " DEL ATT: del attribute "//TRIM(td_att%c_name)//&
+            CALL logger_trace( &
+            &  " FILE DEL ATT: del attribute "//TRIM(td_att%c_name)//&
             &  ", in file "//TRIM(td_file%c_name) )
 
@@ -1281,5 +1356,5 @@
 
                CALL logger_error( &
-               &  " ADD ATT: not enough space to put attributes from "//&
+               &  " FILE ADD ATT: not enough space to put attributes from "//&
                &  TRIM(td_file%c_name)//" in temporary attribute structure")
 
@@ -1287,8 +1362,14 @@
 
                ! save temporary global attribute's file structure
-               tl_att(1:il_attid-1)=td_file%t_att(1:il_attid-1)
-               tl_att(il_attid:)=td_file%t_att(il_attid+1:)
-
-               DEALLOCATE( td_file%t_att )
+               IF( il_ind > 1 )THEN
+                  tl_att(1:il_ind-1)=att_copy(td_file%t_att(1:il_ind-1))
+               ENDIF
+
+               IF( il_ind < td_file%i_natt )THEN
+                  tl_att(il_ind:)=att_copy(td_file%t_att(il_ind+1:))
+               ENDIF
+
+               CALL att_clean( td_file%t_att(:) )
+               DEALLOCATE(td_file%t_att)
 
                ! new number of attribute in file
@@ -1299,5 +1380,5 @@
 
                   CALL logger_error( &
-                  &  " ADD ATT: not enough space to put attributes "//&
+                  &  " FILE ADD ATT: not enough space to put attributes "//&
                   &  "in file structure "//TRIM(td_file%c_name) )
 
@@ -1305,12 +1386,10 @@
 
                ! copy attribute in file before
-               td_file%t_att(1:td_file%i_natt)=tl_att(:)
-
-               ! update attribute id
-               DO ji=1,td_file%i_natt
-                  td_file%t_att(ji)%i_id=ji
-               ENDDO
-
+               td_file%t_att(1:td_file%i_natt)=att_copy(tl_att(:))
+
+               ! clean 
+               CALL att_clean(tl_att(:))
                DEALLOCATE(tl_att)
+
             ENDIF 
          ENDIF
@@ -1318,20 +1397,15 @@
 
    END SUBROUTINE file__del_att_str
-   !> @endcode
    !-------------------------------------------------------------------
    !> @brief This subroutine move a global attribute structure 
    !> from file structure.
-   !> @note attribute id could be change
-   !
-   !> @details
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_file : file structure
-   !> @param[in] td_att : attribute structure
-   !> @todo
-   !-------------------------------------------------------------------
-   !> @code
+   !> @warning change attribute id in file structure.
+   !
+   !> @author J.Paul
+   !> - November, 2013- Initial Version
+   !
+   !> @param[inout] td_file   file structure
+   !> @param[in] td_att       attribute structure
+   !-------------------------------------------------------------------
    SUBROUTINE file_move_att(td_file, td_att)
       IMPLICIT NONE
@@ -1343,13 +1417,13 @@
       ! local variable
       TYPE(TATT)  :: tl_att
-      INTEGER(i4) :: il_attid
+      INTEGER(i4) :: il_ind
       !----------------------------------------------------------------
 
       ! copy attribute
-      tl_att=td_att
+      tl_att=att_copy(td_att)
 
       IF( ASSOCIATED(td_file%t_att) )THEN
-         il_attid=att_get_id(td_file%t_att(:),TRIM(tl_att%c_name))
-         IF( il_attid /= 0 )THEN
+         il_ind=att_get_index(td_file%t_att(:),TRIM(tl_att%c_name))
+         IF( il_ind /= 0 )THEN
             ! remove attribute with same name
             CALL file_del_att(td_file, tl_att)
@@ -1360,6 +1434,8 @@
       CALL file_add_att(td_file, tl_att)
 
+       ! clean
+       CALL att_clean(tl_att)
+
    END SUBROUTINE file_move_att
-   !> @endcode
    !-------------------------------------------------------------------
    !> @brief This subroutine add a dimension structure in file 
@@ -1367,85 +1443,79 @@
    !> Do not overwrite, if dimension already in file structure.
    !
-   !> @details
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_file : file structure
-   !> @param[in] td_dim : dimension structure
-   !
-   !> @todo 
-   !-------------------------------------------------------------------
-   !> @code
+   !> @author J.Paul
+   !> - November, 2013- Initial Version
+   !> @date September, 2014
+   !> - do not reorder dimension, before put in file
+   !
+   !> @param[inout] td_file   file structure
+   !> @param[in] td_dim       dimension structure
+   !-------------------------------------------------------------------
    SUBROUTINE file_add_dim(td_file, td_dim)
       IMPLICIT NONE
 
       ! Argument      
-      TYPE(TFILE), INTENT(INOUT) :: td_file
-      TYPE(TDIM),  INTENT(IN)    :: td_dim
-
-      ! local variable
-      INTEGER(i4) :: il_dimid
+      TYPE(TFILE)     , INTENT(INOUT) :: td_file
+      TYPE(TDIM)      , INTENT(IN   ) :: td_dim
+
+      ! local variable
+      INTEGER(i4) :: il_ind
+
+      ! loop indices
+      INTEGER(i4) :: ji
       !----------------------------------------------------------------
       ! check if file opened
-      !IF( TRIM(td_file%c_name) == "unknown" )THEN
       IF( TRIM(td_file%c_name) == '' )THEN
 
-         CALL logger_error( " ADD DIM: file structure unknown ")
-         CALL logger_debug( " ADD DIM: you should have used file_init before "//&
-         & "running file_add_dim" )      
+         CALL logger_error( " FILE ADD DIM: file structure unknown ")
+         CALL logger_debug( " FILE ADD DIM: you should have used "//&
+         &  "file_init before running file_add_dim" )      
 
       ELSE
 
-         IF( td_file%i_ndim <= 4 )THEN
+         IF( td_file%i_ndim <= ip_maxdim )THEN
 
             ! check if dimension already in file structure
-            il_dimid=dim_get_id(td_file%t_dim(:), td_dim%c_name, td_dim%c_sname)
-            IF( il_dimid /= 0 )THEN
-
-               CALL logger_warn("ADD DIM: dimension "//TRIM(td_dim%c_name)//&
-               &  ", short name "//TRIM(td_dim%c_sname)//&
-               &  ", already in file "//TRIM(td_file%c_name) )
-
-               IF( td_file%t_dim(il_dimid)%i_len /= td_dim%i_len )THEN
+            il_ind=dim_get_index(td_file%t_dim(:), td_dim%c_sname)
+            IF( il_ind /= 0 )THEN
+               IF( td_file%t_dim(il_ind)%l_use )THEN
                   CALL logger_error( &
-                  &  "ADD DIM: dimension "//TRIM(td_dim%c_name)//&
-                  &  " already in file "//TRIM(td_file%c_name)//&
-                  &  " differ from added dimension ")
+                  &  "FILE ADD DIM: dimension "//TRIM(td_dim%c_name)//&
+                  &  ", short name "//TRIM(td_dim%c_sname)//&
+                  &  ", already used in file "//TRIM(td_file%c_name) )
+               ELSE
+                  ! replace dimension
+                  td_file%t_dim(il_ind)=dim_copy(td_dim)
+                  td_file%t_dim(il_ind)%i_id=il_ind
+                  td_file%t_dim(il_ind)%l_use=.TRUE.
                ENDIF
-
             ELSE
-
-               CALL logger_debug( &
-               &  " ADD DIM: add dimension "//TRIM(td_dim%c_name)//&
-               &  ", short name "//TRIM(td_dim%c_sname)//&
-               &  ", in file "//TRIM(td_file%c_name) )
-
-               IF( td_file%i_ndim == 4 )THEN
+               IF( td_file%i_ndim == ip_maxdim )THEN
+                  CALL logger_error( &
+                  &  "FILE ADD DIM: can not add dimension "//TRIM(td_dim%c_name)//&
+                  &  ", short name "//TRIM(td_dim%c_sname)//&
+                  &  ", in file "//TRIM(td_file%c_name)//". Already "//&
+                  &  TRIM(fct_str(ip_maxdim))//" dimensions." )
+               ELSE
                   ! search empty dimension
-                  il_dimid=dim_get_void_id(td_file%t_dim(:),TRIM(td_dim%c_name), &
-                  &                                         TRIM(td_dim%c_sname))
-                  ! replace empty dimension
-                  td_file%t_dim(il_dimid)=td_dim
-                  td_file%t_dim(il_dimid)%i_id=il_dimid
-                  td_file%t_dim(il_dimid)%l_use=.TRUE.
-               ELSE
-                  ! add new dimension
-                  il_dimid=dim_get_void_id(td_file%t_dim(:),TRIM(td_dim%c_name), &
-                  &                                         TRIM(td_dim%c_sname))
-                  td_file%t_dim(il_dimid)=td_dim
-                  td_file%t_dim(il_dimid)%i_id=td_file%i_ndim+1
-                  td_file%t_dim(il_dimid)%l_use=.TRUE.
+                  DO ji=1,ip_maxdim
+                     IF( td_file%t_dim(ji)%i_id == 0 )THEN
+                        il_ind=ji 
+                        EXIT
+                     ENDIF
+                  ENDDO
+ 
+                  ! add new dimension    
+                  td_file%t_dim(il_ind)=dim_copy(td_dim)
                   ! update number of attribute
                   td_file%i_ndim=COUNT(td_file%t_dim(:)%l_use)
-               ENDIF
-
-               ! reorder dimension to ('x','y','z','t')
-               CALL dim_reorder(td_file%t_dim)
-               
+
+                  td_file%t_dim(il_ind)%i_id=td_file%i_ndim
+                  td_file%t_dim(il_ind)%l_use=.TRUE.
+               ENDIF               
             ENDIF
+
          ELSE
             CALL logger_error( &
-            &  " ADD DIM: too much dimension in file "//&
+            &  " FILE ADD DIM: too much dimension in file "//&
             &  TRIM(td_file%c_name)//" ("//TRIM(fct_str(td_file%i_ndim))//")")
          ENDIF
